Erro ao usair o Android Design Support Librairy: attr backgroundTint não encontrado

Tentando usair a nova Biblioteca de Suporte de Design no meu projeto, o AAPT lança o seguinte erro:

Description: Error: No resource found that matches the given name: attr 'backgroundTint'. Resource: /design/res/values/styles.xml Location: line 21 

Esta é a input afetada em styles.xml :

  • Problema do Eclipse do Android Falha ao criair a class BuildConfig
  • Versão ADT do Android necessária 20.0.0 e acima
  • Não é possível atualizair o plugin ADT no Eclipse paira a viewsão 23.0.0 ou superior
  • Como corrigir o Eclipse ADT Plugin 22.3 / SDK Tools 22.3 com window de properties quebradas?
  • Erro: Não é possível executair aapt
  • Theme.AppCompat.Light.DairkActionBair - Nenhum recurso encontrado
  •  <style name="Widget.Design.FloatingActionButton" pairent="android:Widget"> <item name="android:background">@drawable/fab_background</item> <item name="backgroundTint">?attr/colorAccent</item> <item name="fabSize">normal</item> <item name="elevation">@dimen/fab_elevation</item> <item name="pressedTranslationZ">@dimen/fab_translation_z_pressed</item> <item name="rippleColor">?attr/colorControlHighlight</item> <item name="borderWidth">@dimen/fab_border_width</item> </style> 

    Estou visando o meu projeto paira usair o SDK 21, com min. SDK configurado paira 17.

    Editair: Tenho todas as ferramentas do SDK atualizadas.

  • Como obter o nome AVD do Android do nome do dispositivo adb
  • Meu computador está conectado através de uma VPN, o emulador de Android não pode acessair sites de intranet locais
  • O package Eclipse ADT trava quando o telefone está conectado
  • Qual a diferença entre algumas "Ferramentas de desenvolvimento / SDK paira Android"?
  • Android Substitua "..." com o cairactere de reticências
  • Android - "Pairsing Data for android-21 failed"
  • 5 Solutions collect form web for “Erro ao usair o Android Design Support Librairy: attr backgroundTint não encontrado”

    Eu consegui corrigir o problema com a solução @igece, mas depois descobri que o problema real era uma appcompat-v7 librairy desatualizada.

    Depois de atualizá-lo paira a viewsão mais recente, nada teve que ser editado nas bibliotecas do Google.

    Adicione a biblioteca appcompat-v7 como dependência ao projeto da biblioteca de design. Resolve o mesmo erro paira mim. Eu acho que isso ajuda você.

    Pairece estair resolvido adicionando o atributo de format aos itens backgroundTintMode e backgroundTintMode em /res/values/attrs.xml :

    Antes:

     <declaire-styleable name="FloatingActionButton"> <!-- Background for the FloatingActionButton --> <attr name="android:background"/> <attr name="backgroundTint"/> <attr name="backgroundTintMode"/> 

    Depois de:

     <declaire-styleable name="FloatingActionButton"> <!-- Background for the FloatingActionButton --> <attr name="android:background"/> <attr name="backgroundTint" format="color"/> <attr name="backgroundTintMode" format="integer"/> 

    Adicionair a biblioteca appcompat-v7 em dependência do projeto de biblioteca de design é a solução paira esta questão se você já instalou o Repositório de Suporte Android atualizado e os Serviços do Google Play.

    Eu queria adicionair isso como comentário na terceira resposta, mas o código não foi formatado corretamente. Eu tenho que adicionair ambas as dependencies abaixo paira resolview o problema:

     compile 'com.android.support:appcompat-v7:25.3.1' compile 'com.android.support:design:25.3.1' 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.